Bug 1711291 - Need to require scalapack explicitly
Summary: Need to require scalapack explicitly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: petsc
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-17 12:42 UTC by Dave Love
Modified: 2020-01-20 03:09 UTC (History)
1 user (show)

Fixed In Version: petsc-3.11.3-10.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-20 03:09:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Love 2019-05-17 12:42:28 UTC
Description of problem:

The packages need to require the appropriate scalapack explicitly.  If I install the openmpi version, the implicit require pulls in scalapack-mpich, not scalapack-openmpi.

Version-Release number of selected component (if applicable):

petsc-3.9.3-5.el7

Comment 1 Fedora Update System 2020-01-05 22:41:11 UTC
FEDORA-EPEL-2019-f4b323778a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f4b323778a

Comment 2 Fedora Update System 2020-01-05 22:41:15 UTC
FEDORA-EPEL-2019-f4b323778a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f4b323778a

Comment 3 Fedora Update System 2020-01-06 00:09:19 UTC
MUMPS-5.2.1-4.el7, coin-or-Ipopt-3.12.13-5.el7, mld2p4-2.2.1-4.el7, petsc-3.11.3-10.el7, petsc4py-3.11.0-12.el7, psblas3-3.6.1-5.el7, sundials-4.1.0-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f4b323778a

Comment 4 Fedora Update System 2020-01-20 03:09:01 UTC
MUMPS-5.2.1-4.el7, coin-or-Ipopt-3.12.13-5.el7, mld2p4-2.2.1-4.el7, petsc-3.11.3-10.el7, petsc4py-3.11.0-12.el7, psblas3-3.6.1-5.el7, sundials-4.1.0-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.